searchData={"items":[{"type":"module","title":"Trifle.Stats","doc":"Documentation for `Trifle.Stats`.","ref":"Trifle.Stats.html"},{"type":"function","title":"Trifle.Stats.assert/4","doc":"Assert function to run set stats.","ref":"Trifle.Stats.html#assert/4"},{"type":"function","title":"Examples - Trifle.Stats.assert/4","doc":"iex> Trifle.Stats.assert('test', DateTime.utc_now(), { duration: 103, count: 1})\n    {:ok, [...]}","ref":"Trifle.Stats.html#assert/4-examples"},{"type":"function","title":"Trifle.Stats.track/4","doc":"Track function to run icremental stats.","ref":"Trifle.Stats.html#track/4"},{"type":"function","title":"Examples - Trifle.Stats.track/4","doc":"iex> Trifle.Stats.track('test', DateTime.utc_now(), { duration: 103, count: 1})\n    {:ok, [...]}","ref":"Trifle.Stats.html#track/4-examples"},{"type":"function","title":"Trifle.Stats.values/5","doc":"Values function to retrieve stats.","ref":"Trifle.Stats.html#values/5"},{"type":"function","title":"Examples - Trifle.Stats.values/5","doc":"iex> Trifle.Stats.values('test', DateTime.utc_now(), DateTime.utc_now(), :day)\n    {:ok, [...]}","ref":"Trifle.Stats.html#values/5-examples"},{"type":"module","title":"Trifle.Stats.Configuration","doc":"","ref":"Trifle.Stats.Configuration.html"},{"type":"function","title":"Trifle.Stats.Configuration.configure/6","doc":"","ref":"Trifle.Stats.Configuration.html#configure/6"},{"type":"function","title":"Trifle.Stats.Configuration.set_beginning_of_week/2","doc":"","ref":"Trifle.Stats.Configuration.html#set_beginning_of_week/2"},{"type":"function","title":"Trifle.Stats.Configuration.set_ranges/2","doc":"","ref":"Trifle.Stats.Configuration.html#set_ranges/2"},{"type":"function","title":"Trifle.Stats.Configuration.set_separator/2","doc":"","ref":"Trifle.Stats.Configuration.html#set_separator/2"},{"type":"function","title":"Trifle.Stats.Configuration.set_time_zone/2","doc":"","ref":"Trifle.Stats.Configuration.html#set_time_zone/2"},{"type":"function","title":"Trifle.Stats.Configuration.set_time_zone_database/2","doc":"","ref":"Trifle.Stats.Configuration.html#set_time_zone_database/2"},{"type":"module","title":"Trifle.Stats.Driver.Mongo","doc":"","ref":"Trifle.Stats.Driver.Mongo.html"},{"type":"function","title":"Trifle.Stats.Driver.Mongo.get/2","doc":"","ref":"Trifle.Stats.Driver.Mongo.html#get/2"},{"type":"function","title":"Trifle.Stats.Driver.Mongo.inc/3","doc":"","ref":"Trifle.Stats.Driver.Mongo.html#inc/3"},{"type":"function","title":"Trifle.Stats.Driver.Mongo.new/4","doc":"","ref":"Trifle.Stats.Driver.Mongo.html#new/4"},{"type":"function","title":"Trifle.Stats.Driver.Mongo.set/3","doc":"","ref":"Trifle.Stats.Driver.Mongo.html#set/3"},{"type":"function","title":"Trifle.Stats.Driver.Mongo.setup!/2","doc":"","ref":"Trifle.Stats.Driver.Mongo.html#setup!/2"},{"type":"function","title":"Trifle.Stats.Driver.Mongo.upsert_operation/4","doc":"","ref":"Trifle.Stats.Driver.Mongo.html#upsert_operation/4"},{"type":"module","title":"Trifle.Stats.Nocturnal","doc":"","ref":"Trifle.Stats.Nocturnal.html"},{"type":"function","title":"Trifle.Stats.Nocturnal.change/8","doc":"","ref":"Trifle.Stats.Nocturnal.html#change/8"},{"type":"function","title":"Trifle.Stats.Nocturnal.day/2","doc":"","ref":"Trifle.Stats.Nocturnal.html#day/2"},{"type":"function","title":"Trifle.Stats.Nocturnal.days_into_week/0","doc":"","ref":"Trifle.Stats.Nocturnal.html#days_into_week/0"},{"type":"function","title":"Trifle.Stats.Nocturnal.days_to_week_start/2","doc":"","ref":"Trifle.Stats.Nocturnal.html#days_to_week_start/2"},{"type":"function","title":"Trifle.Stats.Nocturnal.hour/2","doc":"","ref":"Trifle.Stats.Nocturnal.html#hour/2"},{"type":"function","title":"Trifle.Stats.Nocturnal.minute/2","doc":"","ref":"Trifle.Stats.Nocturnal.html#minute/2"},{"type":"function","title":"Trifle.Stats.Nocturnal.month/2","doc":"","ref":"Trifle.Stats.Nocturnal.html#month/2"},{"type":"function","title":"Trifle.Stats.Nocturnal.next/3","doc":"","ref":"Trifle.Stats.Nocturnal.html#next/3"},{"type":"function","title":"Trifle.Stats.Nocturnal.next_day/2","doc":"","ref":"Trifle.Stats.Nocturnal.html#next_day/2"},{"type":"function","title":"Trifle.Stats.Nocturnal.next_hour/2","doc":"","ref":"Trifle.Stats.Nocturnal.html#next_hour/2"},{"type":"function","title":"Trifle.Stats.Nocturnal.next_minute/2","doc":"","ref":"Trifle.Stats.Nocturnal.html#next_minute/2"},{"type":"function","title":"Trifle.Stats.Nocturnal.next_month/2","doc":"","ref":"Trifle.Stats.Nocturnal.html#next_month/2"},{"type":"function","title":"Trifle.Stats.Nocturnal.next_quarter/2","doc":"","ref":"Trifle.Stats.Nocturnal.html#next_quarter/2"},{"type":"function","title":"Trifle.Stats.Nocturnal.next_week/2","doc":"","ref":"Trifle.Stats.Nocturnal.html#next_week/2"},{"type":"function","title":"Trifle.Stats.Nocturnal.next_year/2","doc":"","ref":"Trifle.Stats.Nocturnal.html#next_year/2"},{"type":"function","title":"Trifle.Stats.Nocturnal.quarter/2","doc":"","ref":"Trifle.Stats.Nocturnal.html#quarter/2"},{"type":"function","title":"Trifle.Stats.Nocturnal.timeline/4","doc":"","ref":"Trifle.Stats.Nocturnal.html#timeline/4"},{"type":"function","title":"Trifle.Stats.Nocturnal.week/2","doc":"","ref":"Trifle.Stats.Nocturnal.html#week/2"},{"type":"function","title":"Trifle.Stats.Nocturnal.year/2","doc":"","ref":"Trifle.Stats.Nocturnal.html#year/2"},{"type":"module","title":"Trifle.Stats.Operations.Timeseries.Increment","doc":"","ref":"Trifle.Stats.Operations.Timeseries.Increment.html"},{"type":"function","title":"Trifle.Stats.Operations.Timeseries.Increment.key_for/4","doc":"","ref":"Trifle.Stats.Operations.Timeseries.Increment.html#key_for/4"},{"type":"function","title":"Trifle.Stats.Operations.Timeseries.Increment.perform/4","doc":"","ref":"Trifle.Stats.Operations.Timeseries.Increment.html#perform/4"},{"type":"module","title":"Trifle.Stats.Operations.Timeseries.Set","doc":"","ref":"Trifle.Stats.Operations.Timeseries.Set.html"},{"type":"function","title":"Trifle.Stats.Operations.Timeseries.Set.key_for/4","doc":"","ref":"Trifle.Stats.Operations.Timeseries.Set.html#key_for/4"},{"type":"function","title":"Trifle.Stats.Operations.Timeseries.Set.perform/4","doc":"","ref":"Trifle.Stats.Operations.Timeseries.Set.html#perform/4"},{"type":"module","title":"Trifle.Stats.Operations.Timeseries.Values","doc":"","ref":"Trifle.Stats.Operations.Timeseries.Values.html"},{"type":"function","title":"Trifle.Stats.Operations.Timeseries.Values.perform/5","doc":"","ref":"Trifle.Stats.Operations.Timeseries.Values.html#perform/5"},{"type":"module","title":"Trifle.Stats.Packer","doc":"","ref":"Trifle.Stats.Packer.html"},{"type":"function","title":"Trifle.Stats.Packer.deep_merge/2","doc":"","ref":"Trifle.Stats.Packer.html#deep_merge/2"},{"type":"function","title":"Trifle.Stats.Packer.deep_sum/2","doc":"","ref":"Trifle.Stats.Packer.html#deep_sum/2"},{"type":"function","title":"Trifle.Stats.Packer.pack/2","doc":"","ref":"Trifle.Stats.Packer.html#pack/2"},{"type":"function","title":"Trifle.Stats.Packer.unpack/1","doc":"","ref":"Trifle.Stats.Packer.html#unpack/1"}],"content_type":"text/markdown"}